--- title: "importLoginKey" slug: "compute-vserver-server-loginkey-importloginkey" tags: ["Server", "Login Key"] updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-loginkey-importloginkey" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # importLoginKey Available in VPC Create an authentication key (LoginKey) using a public key that the user created with ssh-keygen. The authentication key consists of a public key and a private key pair, and the response will return the authentication key name and private key value. The private key value can be used to determine the admin password used to connect to the server. The private key value can't be re-checked after it is initially issued in the response result, so it needs to be stored separately and securely. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/importLoginKey | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `keyName` | String | Optional | Authentication key name - Auto-generated on no input (default) - Enter 3 to 30 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. | | `publicKey` | String | Required | Public key - Publick key created with `ssh-keygen -t rsa -C "key-name" -f ~/.ssh/key-name` - `-b 2048 -m PEM` option is needed depending on the ssh-keygen version. - URL encoded for GET method calls | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/importLoginKey ?regionCode=KR &keyName=test-*** &publicKey=ssh-rsa%20AAAAB3NzaC1...BrFL%20test-*** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `importLoginKeyResponse` | Object | - | Response result | | `importLoginKeyResponse.LoginKeyList` | Array | - | Authentication key list: See [LoginKeyList](/docs/en/common-vapidatatype-loginkeylist). | | `importLoginKeyResponse.requestId` | String | - | ID for the request - UUID format | | `importLoginKeyResponse.returnCode` | String | - | Response code | | `importLoginKeyResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "importLoginKeyResponse": { "loginKeyList": [ { "fingerprint": "", "keyName": "test-***", "createDate": "2025-06-25T17:20:42+0900" } ], "requestId": "e58e0e57-6a45-4939-92ab-62ad721f70d2", "returnCode": "0", "returnMessage": "success" } } ```